﻿' Copyright (c) Microsoft Corporation.  All rights reserved.

Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace Caching
    ''' <summary>
    ''' Represents cached query results.
    ''' </summary>
    <Serializable()>
    Public Class DbQueryResults
        ''' <summary>
        ''' Initializes a new instance of the DbQueryResults class.
        ''' </summary>
        Public Sub New()
            Me.Rows = New List(Of Object())()
            Me.ColumnNames = New List(Of String)()
        End Sub

        ''' <summary>
        ''' Gets the collection of column names.
        ''' </summary>
        Private _ColumnNames As IList(Of String)
        Public Property ColumnNames() As IList(Of String)
            Get
                Return _ColumnNames
            End Get
            Private Set(ByVal value As IList(Of String))
                _ColumnNames = value
            End Set
        End Property

        ''' <summary>
        ''' Gets the collection of rows.
        ''' </summary>
        '''The collection of rows.
        Private _Rows As IList(Of Object())
        Public Property Rows() As IList(Of Object())
            Get
                Return _Rows
            End Get
            Private Set(ByVal value As IList(Of Object()))
                _Rows = value
            End Set
        End Property
    End Class
End Namespace