﻿' Copyright (c) Microsoft Corporation.  All rights reserved.

''' <summary>
''' Implementation of for EFProviderWrapper.
''' </summary>
Public Class EFProviderWrapperFactory
    Inherits DbProviderFactoryBase
    ''' <summary>
    ''' Gets the singleton instance of the EFProviderWrapper factory.
    ''' </summary>
    ''' The singleton instance.
    <System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA2104:DoNotDeclareReadOnlyMutableReferenceTypes", Justification:="Class is immutable")>
    Public Shared ReadOnly Instance As New EFProviderWrapperFactory()

    ''' <summary>
    ''' Prevents a default instance of the EFProviderWrapperFactory class from being created.
    ''' </summary>
    Private Sub New()
        MyBase.New(EFProviderWrapperServices.Instance)
    End Sub

    ''' <summary>
    ''' Returns a new instance of the provider's class that implements the <see cref="T:System.Data.Common.DbConnection"/> class.
    ''' </summary>
    ''' <returns>
    ''' A new instance of <see cref="T:System.Data.Common.DbConnection"/>.
    ''' </returns>
    Public Overrides Function CreateConnection() As System.Data.Common.DbConnection
        Return New EFProviderWrapperConnection()
    End Function
End Class