﻿' Copyright (c) Microsoft Corporation.  All rights reserved.

Imports System

''' <summary>
''' implementation for EFProviderWrapper
''' </summary>
Friend Class EFProviderWrapperServices
    Inherits DbProviderServicesBase
    ''' <summary>
    ''' Initializes static members of the EFProviderWrapperServices class.
    ''' </summary>
    Shared Sub New()
        Instance = New EFProviderWrapperServices()
    End Sub

    ''' <summary>
    ''' Gets the singleton instance of <see cref="EFProviderWrapperServices"/>.
    ''' </summary>
    ''' The singleton instance.
    Private Shared privateInstance As EFProviderWrapperServices
    Friend Shared Property Instance() As EFProviderWrapperServices
        Get
            Return privateInstance
        End Get
        Private Set(ByVal value As EFProviderWrapperServices)
            privateInstance = value
        End Set
    End Property

    ''' <summary>
    ''' Gets the name default of the wrapped provider.
    ''' </summary>
    ''' <returns>Name of the default wrapped provider.</returns>
    Protected Overrides ReadOnly Property DefaultWrappedProviderName() As String
        Get
            Throw New NotSupportedException("Default wrapped provider is not supported")
        End Get
    End Property

    ''' <summary>
    ''' Gets the provider invariant name.
    ''' </summary>
    ''' <returns>Provider invariant name: 'EFProviderWrapper'</returns>
    Protected Overrides ReadOnly Property ProviderInvariantName() As String
        Get
            Return "EFProviderWrapper"
        End Get
    End Property
End Class