﻿' Copyright (c) Microsoft Corporation.  All rights reserved.

Imports System
Imports System.Data.Common
Imports EFProviderWrapperToolkit

''' <summary>
''' EFTracingProvider factory.
''' </summary>
<CLSCompliant(False)>
Public Class EFTracingProviderFactory
    Inherits DbProviderFactoryBase
    ''' <summary>
    ''' Gets or sets the singleton instance of the provider.
    ''' </summary>
    ''' The instance.
    <System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Security", "CA2104:DoNotDeclareReadOnlyMutableReferenceTypes", Justification:="Factory is immutale.")>
    Public Shared ReadOnly Instance As New EFTracingProviderFactory(EFTracingProviderServices.Instance)

    ''' <summary>
    ''' Initializes a new instance of the EFTracingProviderFactory class.
    ''' </summary>
    ''' <param name="providerServices">The provider services.</param>
    Public Sub New(ByVal providerServices As DbProviderServices)
        MyBase.New(providerServices)
    End Sub

    ''' <summary>
    ''' Returns a new instance of the provider's class that implements the <see cref="T:System.Data.Common.DbConnection"/> class.
    ''' </summary>
    ''' <returns>
    ''' A new instance of <see cref="T:System.Data.Common.DbConnection"/>.
    ''' </returns>
    Public Overrides Function CreateConnection() As DbConnection
        Return New EFTracingConnection()
    End Function
End Class